FROM golang:1.14
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY payapi /go/bin/
COPY payapi.yaml /go/bin/
COPY agollo.json /go/bin/
COPY yamls /go/bin/yamls/
COPY image /go/bin/image/
RUN chmod +x /go/bin/payapi
WORKDIR /go/bin/

CMD ["/go/bin/payapi", "--config=/go/bin/payapi.yaml"]

EXPOSE 8081
